// ###########################################
// ACHTUNG: SIE DÜRFEN DIESE KLASSE NICHT
//          VERÄNDERN. SONST WIRD IHR GEHIRN
//          AUSGESAUGT. SIE MUSS MIT IHREM
//          PROGRAMM FUNKTIONIEREN,
//          EINFACH SO.
//
//          GRÜSSE, DIE ALIEN OVERLORDS
// ###########################################
package pr2.vererbung.password;

import pr2.vererbung.password.rules.Rule;
import pr2.vererbung.password.rules.RuleFactory;

import java.util.Scanner;

/**
 * Password-Checker der Aliens.
 */
public class PasswordChecker {

    /**
     * Hauptmethode.
     * @param args Kommandozeilenargumente.
     */
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);

        System.out.print("Bitte Password eingeben: ");
        String input = scanner.nextLine();

        for (int ruleCode : RuleFactory.AVAILABLE_RULES) {
            Rule rule = RuleFactory.createRule(ruleCode);
            int result = rule.checkPassword(input);
            System.out.printf("Rule: %s -> %s\n", rule,
                    Rule.qualityToString(result));
        }

        System.out.println("\nKill all Humans!");
    }
}
